
CoCoA-5 - Bug #643

GenRepr fails if there are zero generators

29 Oct 2014 12:39 - John Abbott

Status: Closed Start date: 29 Oct 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 3.00 hours

Target version: CoCoA-5.1.2 summer 2015 Spent time: 2.75 hours

Description

GenRepr should not give error in this instance:

I := ideal(x+y^2, zero(R), x^2-x*y);

GenRepr(x^3-x^2*y-y^3-x*y, I);

--> ERROR: Non-zero RingElem required

--> WHERE: at line 277 (column 27) of hilop.cpkg5

-->   S := GetRows(GensAsRows(SyzOfGens(X)));

-->                           ^^^^^^^^^^^^

CONTEXT: function GenRepr at line 277 of hilop.cpkg5

 called at top-level

Related issues:

Related to CoCoA-5 - Bug #1781: GenReprCompute: SERIOUS ERROR Feedback 08 Feb 2024

History

#1 - 15 May 2015 10:55 - Anna Maria Bigatti

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 90

- Estimated time set to 3.00 h

Done (hilop.cpkg5)

#2 - 26 Jun 2015 12:13 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#3 - 09 Feb 2024 08:42 - Anna Maria Bigatti

- Related to Bug #1781: GenReprCompute: SERIOUS ERROR added

Powered by TCPDF (www.tcpdf.org)

25 Apr 2024 1/1

http://www.tcpdf.org

